%define piname	weatherfax_pi

Name:		opencpn-weatherfax-plugin
Summary:	Weatherfax plugin for OpenCpn
Version:	1.6.001
Release:	%mkrel 2
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	portaudio-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Can open image files directly, or decode audio faxes to an image.
With simple calibration, resulting image is overlaid on top of charts.
Converts images in Mercator, polar, conic and uniform coordinates.
Can convert any image into a raster chart.
Built-in database for HF radio fax stations via SSB.
Built-in database for internet retrieval from meteorological sites.

%prep
%setup -q -n %{piname}

# To be sure to use system tinyxml headers and not bundled ones
rm -f plugins/%{piname}/src/tinyxml/tinyxml*.cpp include/tinyxml.h

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Sat Jun 03 2017 akien <akien> 1.6.001-2.mga6
+ Revision: 1106118
- Rebuild for wxgtk 3.0.3.1

* Mon Oct 10 2016 barjac <barjac> 1.6.001-1.mga6
+ Revision: 1059877
- new version 1.6.001

* Thu Jun 02 2016 daviddavid <daviddavid> 1.5.001-3.mga6
+ Revision: 1019839
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.5.001-2.mga6
+ Revision: 962355
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 1.5.001-1.mga6
+ Revision: 908797
- new package opencpn-weatherfax-plugin

